# ACE_Asynch_Read_Dgram::Result Class Reference

This is the class which will be passed back to the {handler} when the asynchronous read completes. This class forwards all the methods to the implementation classes. More...

`#include <Asynch_IO.h>`

Inheritance diagram for ACE_Asynch_Read_Dgram::Result:

[legend]
Collaboration diagram for ACE_Asynch_Read_Dgram::Result:

[legend]
List of all members.

## Public Member Functions

size_t | bytes_to_read (void) const
ACE_Message_Block * | message_block (void) const
| Message block which contains the read data.
int | flags (void) const
| The flags used in the read.
int | remote_address (ACE_Addr &addr) const
| The address of where the packet came from.
ACE_HANDLE | handle (void) const
| I/O handle used for reading.
ACE_Asynch_Read_Dgram_Result_Impl * | implementation (void) const
| Get the implementation class.

## Protected Member Functions

| Result (ACE_Asynch_Read_Dgram_Result_Impl *implementation)
| Constructor.
virtual | ~Result (void)
| Destructor.

## Protected Attributes

ACE_Asynch_Read_Dgram_Result_Impl * | implementation_
| The implementation class.

## Friends

class | ACE_POSIX_Asynch_Read_Dgram_Result
class | ACE_WIN32_Asynch_Read_Dgram_Result

## Detailed Description

This is the class which will be passed back to the {handler} when the asynchronous read completes. This class forwards all the methods to the implementation classes.

This class has all the information necessary for the {handler} to uniquiely identify the completion of the asynchronous read.

## Constructor & Destructor Documentation

ACE_Asynch_Read_Dgram::Result::Result | ( | ACE_Asynch_Read_Dgram_Result_Impl * | implementation | ) | `[protected]`

| Constructor.

ACE_Asynch_Read_Dgram::Result::~Result | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

size_t ACE_Asynch_Read_Dgram::Result::bytes_to_read | ( | void |  | ) | const

| The number of bytes which were requested at the start of the asynchronous read.

int ACE_Asynch_Read_Dgram::Result::flags | ( | void |  | ) | const

| The flags used in the read.

ACE_HANDLE ACE_Asynch_Read_Dgram::Result::handle | ( | void |  | ) | const

| I/O handle used for reading.

ACE_Asynch_Read_Dgram_Result_Impl * ACE_Asynch_Read_Dgram::Result::implementation | ( | void |  | ) | const

| Get the implementation class. Reimplemented from ACE_Asynch_Result.

ACE_Message_Block * ACE_Asynch_Read_Dgram::Result::message_block | ( | void |  | ) | const

| Message block which contains the read data.

int ACE_Asynch_Read_Dgram::Result::remote_address | ( | ACE_Addr & | addr | ) | const

| The address of where the packet came from.

## Friends And Related Function Documentation

friend class ACE_POSIX_Asynch_Read_Dgram_Result `[friend]`

| The concrete implementation result classes only construct this class.

friend class ACE_WIN32_Asynch_Read_Dgram_Result `[friend]`

## Member Data Documentation

ACE_Asynch_Read_Dgram_Result_Impl* ACE_Asynch_Read_Dgram::Result::implementation_ `[protected]`

| The implementation class. Reimplemented from ACE_Asynch_Result.

The documentation for this class was generated from the following files:

- Asynch_IO.h
- Asynch_IO.cpp